import java.io.IOException;

/**
 * Signals that data was not in an acceptable format.  For use
 * by data conversion filter streams.
 *
 * @version     1.0, 30 Jan 1996
 * @author      Glenn Vanderburg
 */

public
class BadFormatException extends IOException
{
    /**
     * Constructs a BadFormatException with no detail message.
     */
    public BadFormatException()
    {
        super();
    }

    /**
     * Constructs a BadFormatException with the specified detail message.
     * @param s the detail message
     */
    public BadFormatException(String s)
    {
        super(s);
    }
}
